Alignment (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.align
Interface Alignment

All Superinterfaces:
  Cloneable, Iterable<Cell>, Visitable

All Known Subinterfaces:
  AlignmentProcess

All Known Implementing Classes:
  BasicAlignment, ClassStructAlignment, DistanceAlignment, EditDistNameAlignment, EDOALAlignment, JWNLAlignment, NameAndPropertyAlignment, NameEqAlignment, ObjectAlignment, SMOANameAlignment, StringDistAlignment, StrucSubsDistAlignment, SubsDistNameAlignment, URIAlignment, WSAlignment

    public interface Alignment

extends Cloneable, Iterable<Cell>, Visitable

Represents an Ontology alignment.

Version:
  $Id: Alignment.java 1189 2010-01-03 17:57:13Z euzenat $
Author:
  Jérôme Euzenat

Method Summary
`Cell` | `addAlignCell(Object ob1, Object ob2)`
`Cell` | `addAlignCell(Object ob1, Object ob, String relation, double measure)` Cells are created and indexed at once
`Object` | `clone()` Implementation of the clone method
`Alignment` | `compose(Alignment align)`
`void` | `cut(double threshold)`
`void` | `cut(String method, double threshold)`
`Alignment` | `diff(Alignment align)`
`void` | `dump(ContentHandler h)` Dump should be implemented as a method generating SAX events for a SAXHandler provided as input
`Cell` | `getAlignCell1(Object ob)` Cells are retrieved These primitives are deprecated.
`Cell` | `getAlignCell2(Object ob)` //@deprecated There is more than one cell about one object
`Set<Cell>` | `getAlignCells1(Object ob)` Cells are retrieved These primitives are deprecated.
`Set<Cell>` | `getAlignCells2(Object ob)`
`Object` | `getAlignedObject1(Object ob)` Each part of the cell can be queried independently.
`Object` | `getAlignedObject2(Object ob)`
`Relation` | `getAlignedRelation1(Object ob)`
`Relation` | `getAlignedRelation2(Object ob)`
`double` | `getAlignedStrength1(Object ob)`
`double` | `getAlignedStrength2(Object ob)`
`Enumeration<Cell>` | `getElements()`
`String` | `getExtension(String uri, String label)`
`Collection<String[]>` | `getExtensions()` Extensions are a way to read and add other information (metadata) to the alignment structure itself.
`URI` | `getFile1()`
`URI` | `getFile2()`
`String` | `getLevel()`
`Object` | `getOntology1()` The alignment has reference to the two aligned ontology.
`URI` | `getOntology1URI()`
`Object` | `getOntology2()`
`URI` | `getOntology2URI()`
`String` | `getType()`
`void` | `harden(double threshold)`
`void` | `init(Object onto1, Object onto2)` Initialize the alignement before using it
`void` | `init(Object onto1, Object onto2, Object cache)` Initialize the alignement before using it, with some ontology caching trick //@deprecated The OntologyCache is now internal, use init( onto1, onto2 ) instead
`Alignment` | `inverse()` Algebra of alignment manipulation operations: compose, join, meet.
`Iterator<Cell>` | `iterator()`
`Alignment` | `join(Alignment align)`
`Alignment` | `meet(Alignment align)`
`int` | `nbCells()`
`void` | `remCell(Cell c)`
`void` | `render(AlignmentVisitor renderer)` Exporting The alignments are exported for other purposes.
`void` | `setExtension(String uri, String label, String value)`
`void` | `setFile1(URI type)` Alignment type: Currently defined a sa String.
`void` | `setFile2(URI type)`
`void` | `setLevel(String level)` Alignment type: Currently defined a sa String.
`void` | `setOntology1(Object ontology)`
`void` | `setOntology2(Object ontology)`
`void` | `setType(String type)` Alignment type: Currently defined a sa String.

Methods inherited from interface org.semanticweb.owl.align.Visitable
`accept`

Method Detail

### init

    void init(Object onto1,
              Object onto2)
              throws AlignmentException

  Initialize the alignement before using it

  Throws:
    `AlignmentException`

### init

    void init(Object onto1,
              Object onto2,
              Object cache)
              throws AlignmentException

  Initialize the alignement before using it, with some ontology caching trick //@deprecated The OntologyCache is now internal, use init( onto1, onto2 ) instead

  Throws:
    `AlignmentException`

### getOntology1

    Object getOntology1()

  The alignment has reference to the two aligned ontology. All Alignment cells contain firts the entity from the first ontology The alignment is from the first ontology to the second.

### getOntology2

    Object getOntology2()

### getOntology1URI

    URI getOntology1URI()
                        throws AlignmentException

  Throws:
    `AlignmentException`

### getOntology2URI

    URI getOntology2URI()
                        throws AlignmentException

  Throws:
    `AlignmentException`

### setOntology1

    void setOntology1(Object ontology)
                      throws AlignmentException

  Throws:
    `AlignmentException`

### setOntology2

    void setOntology2(Object ontology)
                      throws AlignmentException

  Throws:
    `AlignmentException`

### setLevel

    void setLevel(String level)

  Alignment type: Currently defined a sa String. This string is supposed to contain two characters: among ?, 1, *, + Can be implemented otherwise

### getLevel

    String getLevel()

### setType

    void setType(String type)

  Alignment type: Currently defined a sa String. This string is supposed to contain two characters: among ?, 1, *, + Can be implemented otherwise

### getType

    String getType()

### setFile1

    void setFile1(URI type)

  Alignment type: Currently defined a sa String. This string is supposed to contain two characters: among ?, 1, *, + Can be implemented otherwise

### setFile2

    void setFile2(URI type)

### getFile1

    URI getFile1()

### getFile2

    URI getFile2()

### addAlignCell

    Cell addAlignCell(Object ob1,
                      Object ob,
                      String relation,
                      double measure)
                      throws AlignmentException

  Cells are created and indexed at once

  Throws:
    `AlignmentException`

### addAlignCell

    Cell addAlignCell(Object ob1,
                      Object ob2)
                      throws AlignmentException

  Throws:
    `AlignmentException`

### remCell

    void remCell(Cell c)
                 throws AlignmentException

  Throws:
    `AlignmentException`

### getAlignCell1

    Cell getAlignCell1(Object ob)
                       throws AlignmentException

  Cells are retrieved These primitives are deprecated. Use getAlignCells1 and getAlignCells2 instead. Reason: this applies only for 1:1 alignments Some implementations might act cleverly (retrieving the best value). Basic implementations may raise the exception //@deprecated There is more than one cell about one object

  Throws:
    `AlignmentException`

### getAlignCell2

    Cell getAlignCell2(Object ob)
                       throws AlignmentException

  //@deprecated There is more than one cell about one object

  Throws:
    `AlignmentException`

### getAlignedObject1

    Object getAlignedObject1(Object ob)
                             throws AlignmentException

  Each part of the cell can be queried independently. These primitives are deprecated. Use getAlignCells1 and getAlignCells2 instead. Reason: this applies only for 1:1 alignments Some implementations might act cleverly (retrieving the best value). Basic implementations may raise the exception

  Throws:
    `AlignmentException`

### getAlignedObject2

    Object getAlignedObject2(Object ob)
                             throws AlignmentException

  Throws:
    `AlignmentException`

### getAlignedRelation1

    Relation getAlignedRelation1(Object ob)
                                 throws AlignmentException

  Throws:
    `AlignmentException`

### getAlignedRelation2

    Relation getAlignedRelation2(Object ob)
                                 throws AlignmentException

  Throws:
    `AlignmentException`

### getAlignedStrength1

    double getAlignedStrength1(Object ob)
                               throws AlignmentException

  Throws:
    `AlignmentException`

### getAlignedStrength2

    double getAlignedStrength2(Object ob)
                               throws AlignmentException

  Throws:
    `AlignmentException`

### getAlignCells1

    Set<Cell> getAlignCells1(Object ob)
                             throws AlignmentException

  Cells are retrieved These primitives are deprecated. Use getAlignCells1 and getAlignCells2 instead. Reason: this applies only for 1:1 alignments Some implementations might act cleverly (retrieving the best value). Basic implementations may raise the exception

  Throws:
    `AlignmentException`

### getAlignCells2

    Set<Cell> getAlignCells2(Object ob)
                             throws AlignmentException

  Throws:
    `AlignmentException`

### getExtensions

    Collection<String[]> getExtensions()

  Extensions are a way to read and add other information (metadata) to the alignment structure itself. getExtensions returns a set of tripes: uri*label*value all three being String

### getExtension

    String getExtension(String uri,
                        String label)

### setExtension

    void setExtension(String uri,
                      String label,
                      String value)

### getElements

    Enumeration<Cell> getElements()

### iterator

    Iterator<Cell> iterator()

  Specified by:
    `iterator` in interface `Iterable<Cell>`

### nbCells

    int nbCells()

### cut

    void cut(String method,
             double threshold)
             throws AlignmentException

  Throws:
    `AlignmentException`

### cut

    void cut(double threshold)
             throws AlignmentException

  Throws:
    `AlignmentException`

### harden

    void harden(double threshold)
                throws AlignmentException

  Throws:
    `AlignmentException`

### inverse

    Alignment inverse()
                      throws AlignmentException

  Algebra of alignment manipulation operations: compose, join, meet.

  Throws:
    `AlignmentException`

### diff

    Alignment diff(Alignment align)
                   throws AlignmentException

  Throws:
    `AlignmentException`

### meet

    Alignment meet(Alignment align)
                   throws AlignmentException

  Throws:
    `AlignmentException`

### join

    Alignment join(Alignment align)
                   throws AlignmentException

  Throws:
    `AlignmentException`

### compose

    Alignment compose(Alignment align)
                      throws AlignmentException

  Throws:
    `AlignmentException`

### dump

    void dump(ContentHandler h)

  Dump should be implemented as a method generating SAX events for a SAXHandler provided as input

### render

    void render(AlignmentVisitor renderer)
                throws AlignmentException

  Exporting The alignments are exported for other purposes.

  Throws:
    `AlignmentException`

### clone

    Object clone()

  Implementation of the clone method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010